org.gnome.gtk

## Class SortType

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.SortType

-     public final class SortType
      extends org.freedesktop.bindings.Constant

  Constants describing what sort ordering you want to be in effect. This is used by TreeSortables such as `TreeModelSort`.
  Since:
    4.0.7
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SortType` | `ASCENDING` Sort in ascending order.
    `static SortType` | `DESCENDING` Sort in descending order.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ASCENDING

          public static SortType ASCENDING

      Sort in ascending order. This means:
      - `0`, `1`, `2`, ..., n and
      - `A`, `B`, `C`, ..., `X`, `Y`, `Z`
      where `0` or `A` or whatever will be at the top of your list.

    - #### DESCENDING

          public static SortType DESCENDING

      Sort in descending order. This means:
      - n, n`-1`, n`-2`, ..., `2`, `1`, `0` and
      - `Z`, `Y`, `X`, ... `C`, `B`, `A`
      where n or `Z` or whatever will be at the top of your list.